[gelöst] YAST übernimmt Installationsquelle nicht

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
DasJay
Newbie
Newbie
Beiträge: 28
Registriert: 8. Sep 2006, 11:05

[gelöst] YAST übernimmt Installationsquelle nicht

Beitrag von DasJay » 23. Sep 2006, 17:25

Hallo!

Da der Software Updater (Zen) nicht funktioniert (ich verwende Suse 10.1) hab ich versucht einige Updates mit Yast einzuspielen. Ich hab also ne Installationsquelle hinzugefügt (http://ftp.gwdg.de/pub/linux/suse/ftp.s ... pdate/10.1) und wollte dann hab auf "Finish" geklickt. Aber YAST hat sich nicht geschlossen (ich hab mehr als ne Stunde gewartet). Also hab ich rebootet und wollte es erneut versuchen. Aber wieder das selbe.

Die Installationsquelle hab ich unter Software => Installation Sources => Add => FTP hinzugefügt.

Was könnte der Fehler sein bzw. wie kann ich das System anders updaten

Mfg Jay
Zuletzt geändert von DasJay am 25. Sep 2006, 18:38, insgesamt 1-mal geändert.

Werbung:
traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 23. Sep 2006, 17:33

Probier es doch einfach mal mit einem anderen Mirror, z.B.

http://suse.inode.at/pub/update/10.1
openSUSE Factory - GNOME 2.32.1

DasJay
Newbie
Newbie
Beiträge: 28
Registriert: 8. Sep 2006, 11:05

Beitrag von DasJay » 23. Sep 2006, 17:56

Hilft nix. Der Fehler bleibt.

traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 23. Sep 2006, 18:24

Versuch es mal mit diesem Befehl:

Code: Alles auswählen

rug sa --type=ZYPP http://download.uni-hd.de/ftp/pub/linux/suse/update/10.1 update && rug sub update
openSUSE Factory - GNOME 2.32.1

DasJay
Newbie
Newbie
Beiträge: 28
Registriert: 8. Sep 2006, 11:05

Beitrag von DasJay » 23. Sep 2006, 19:12

Der Befehl braucht noch ein bisschen bis er fertig ist ...
aber ich habe jetzt diese Meldung bekommen von Yast:
rug failed to add a ZYPP service:
Command timed out after 1800200 msec.

herbali
Hacker
Hacker
Beiträge: 260
Registriert: 2. Dez 2004, 17:09
Kontaktdaten:

Beitrag von herbali » 23. Sep 2006, 20:01

@Das Jay

Da der Software Updater (Zen) nicht funktioniert (ich verwende Suse 10.1)

Hast du das für den ZEN Updater von traffic probiert?
Bei mir wurde das Problem damit gelöst.
traffic
Member



Anmeldedatum: 13.02.2005
Beiträge: 2686
Verfasst am: 2006-Sep-22, 6:30 pm Titel:


OK, probier mal:

Code:
/etc/init.d/novell-zmd stop
rm -f /var/lib/zmd/zmd.db
rm -f /var/lib/zmd/installed-packages-stamp
/etc/init.d/novell-zmd start


_________________
SUSE Linux 10.1 - GNOME 2.12.2

traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 23. Sep 2006, 20:33

Ja, genau - mach das mal, was herbali geschrieben hat (wäre auch mein nächster Ratschlag gewesen) ;)
openSUSE Factory - GNOME 2.32.1

DasJay
Newbie
Newbie
Beiträge: 28
Registriert: 8. Sep 2006, 11:05

Beitrag von DasJay » 23. Sep 2006, 21:25

sjay@suse:~> su
Password:
suse:/home/jay # /etc/init.d/novell-zmd stop
Shutting down ZENworks Management Daemon failed
suse:/home/jay # rm -f /var/lib/zmd/zmd.db
suse:/home/jay # rm -f /var/lib/zmd/installed-packages-stamp
suse:/home/jay # /etc/init.d/novell-zmd start
done
Ich bekomme diese Ausgabe. Der Dienst scheint nicht zu laufen obwohl das Icon in der Startleiste vorhanden ist. Als ich dann aber gestartet habe steht da nur "Getting Update List ..." und das seit gut einer Stunde.

Danke für die Hilfen erst mal,
Jay

DasJay
Newbie
Newbie
Beiträge: 28
Registriert: 8. Sep 2006, 11:05

Beitrag von DasJay » 24. Sep 2006, 10:18

jay@suse:~> rug sl

# | Status | Type | Name | U
RI

--+----------+------+--------------------------------------------------------+--
--------------------------------------------------------------------------------
---
1 | Pending | ZYPP | SUSE-Linux-10.1-DVD9-x86-x86_64-10.1-0-20060920-145855 | c d:///?devices=/dev/sr0&alias=SUSE-Linux-10.1-DVD9-x86-x86_64-10.1-0-20060920-145 855
2 | Inactive | YUM | Update | h ttp://ftp.gwdg.de/pub/suse/update/10.1
3 | Pending | ZYPP | 20060923-125133 | f tp://ftp.gwdg.de/%2Fpub/linux/suse/ftp.suse.com/suse/update/10.1/
4 | Pending | ZYPP | unique-name | h ttps://URL
5 | Pending | ZYPP | factory | h ttp://ftp.gwdg.de/pub/opensuse/distribution/SL-OSS-factory/inst-source/suse
6 | Pending | ZYPP | 20060923-174306 | f tp://suse.inode.at/%2Fpub/update/10.1/
7 | Pending | ZYPP | update | h ttp://download.uni-hd.de/ftp/pub/linux/suse/update/10.1
Ich bekomme diese Ausgabe bei rug sl

DasJay
Newbie
Newbie
Beiträge: 28
Registriert: 8. Sep 2006, 11:05

Beitrag von DasJay » 24. Sep 2006, 17:57

So. Sowohl der ZEN Updater als auch YAST funktionieren jetzt. Ich hab einfach via rug service-delete alle quellen gelöscht und dann wieder neu hinzugefügt.

MfG Jay

b3ll3roph0n
Moderator
Moderator
Beiträge: 3669
Registriert: 4. Dez 2005, 13:17
Kontaktdaten:

Beitrag von b3ll3roph0n » 24. Sep 2006, 19:14

Dann markier den Thread bitte noch als "gelöst".
(Deinen ersten Beitrag editieren und ein [gelöst] zum Titel hinzufügen)
Gruß b3ll3roph0n
--
Denken hilft!

Ich beantworte keine Support-Anfragen per PN.
Für alle meine Beiträge gelten, außer bei Zitaten, die Creative Commons.

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 3 Gäste